import request from '@/utils/request'

// 查询问诊报告列表
export function listInquiryOrderReport(query) {
  return request({
    url: '/store/inquiryOrderReport/list',
    method: 'get',
    params: query
  })
}

// 查询问诊报告详细
export function getBody(reportId) {
  return request({
    url: '/store/inquiryOrderReport/getBody',
    method: 'get'
  })
}
export function listBySearch(query) {
  return request({
    url: '/store/inquiryOrderReport/listBySearch',
    method: 'get',
    params: query
  })
}
export function getIllness(query) {
  return request({
    url: '/store/inquiryOrderReport/getIllness',
    method: 'get',
    params: query
  })
}
export function getPatientMobile(reportId) {
  return request({
    url: '/store/inquiryOrderReport/queryPatientMobile/' + reportId,
    method: 'get'
  })
}
// 查询医生名称列表
export function listdocuser(query) {
  return request({
    url: '/store/inquiryOrderReport/docList',
    method: 'get',
    params: query
  })
}
// 查询问诊报告详细
export function getInquiryOrderReport(reportId) {
  return request({
    url: '/store/inquiryOrderReport/' + reportId,
    method: 'get'
  })
}
export function getInquiryOrderReportByOrderId(reportId) {
  return request({
    url: '/store/inquiryOrderReport/orderId/' + reportId,
    method: 'get'
  })
}
export function getReportId(reportId) {
  return request({
    url: '/store/inquiryOrderReport/getReportId/' + reportId,
    method: 'get'
  })
}
// 新增问诊报告
export function addInquiryOrderReport(data) {
  return request({
    url: '/store/inquiryOrderReport',
    method: 'post',
    data: data
  })
}

// 修改问诊报告
export function updateInquiryOrderReport(data) {
  return request({
    url: '/store/inquiryOrderReport',
    method: 'put',
    data: data
  })
}

export function updateInquiryOrderReportAudit(data) {
  return request({
    url: '/store/inquiryOrderReport/audit',
    method: 'put',
    data: data
  })
}

export function updateAuditReport(data) {
  return request({
    url: '/store/inquiryOrderReport/updateAuditReport',
    method: 'put',
    data: data
  })
}


// 删除问诊报告
export function delInquiryOrderReport(reportId) {
  return request({
    url: '/store/inquiryOrderReport/' + reportId,
    method: 'delete'
  })
}

// 导出问诊报告
export function exportInquiryOrderReport(query) {
  return request({
    url: '/store/inquiryOrderReport/export',
    method: 'get',
    params: query
  })
}
